// This file was generated by the following script:
//
//   $ ../../../../AceTimeTools/tzcompiler.py
//     --input_dir /home/brian/dev/tz
//     --output_dir /home/brian/src/AceTime/src/ace_time/zonedb
//     --tz_version 2021a
//     --action zonedb
//     --language arduino
//     --scope basic
//     --start_year 2000
//     --until_year 2050
//
// using the TZ Database files
//
//   africa
//   antarctica
//   asia
//   australasia
//   backward
//   etcetera
//   europe
//   northamerica
//   southamerica
//
// from https://github.com/eggert/tz/releases/tag/2021a
//
// Policies: 64
// Rules: 361
// Letter Size (bytes): 0
// Total Memory 8-bit (bytes): 3633
// Total Memory 32-bit (bytes): 5100
//
// DO NOT EDIT

#include <ace_time/common/compat.h>
#include "zone_policies.h"

namespace ace_time {
namespace zonedb {

//---------------------------------------------------------------------------
// Policy name: AN
// Rules: 9
// Memory (8-bit): 87
// Memory (32-bit): 120
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAN[] ACE_TIME_PROGMEM = {
  // Rule    AN    1987    1999    -    Oct    lastSun    2:00s    1:00    D
  {
    -13 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AN    1990    1995    -    Mar    Sun>=1    2:00s    0    S
  {
    -10 /*fromYearTiny*/,
    -5 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AN    1996    2005    -    Mar    lastSun    2:00s    0    S
  {
    -4 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2000    only    -    Aug    lastSun    2:00s    1:00    D
  {
    0 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AN    2001    2007    -    Oct    lastSun    2:00s    1:00    D
  {
    1 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AN    2006    only    -    Apr    Sun>=1    2:00s    0    S
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2008    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyAN ACE_TIME_PROGMEM = {
  kZoneRulesAN /*rules*/,
  nullptr /*letters*/,
  9 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AQ
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAQ[] ACE_TIME_PROGMEM = {
  // Rule    AQ    1990    1992    -    Mar    Sun>=1    2:00s    0    S
  {
    -10 /*fromYearTiny*/,
    -8 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyAQ ACE_TIME_PROGMEM = {
  kZoneRulesAQ /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AS
// Rules: 7
// Memory (8-bit): 69
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAS[] ACE_TIME_PROGMEM = {
  // Rule    AS    1987    2007    -    Oct    lastSun    2:00s    1:00    D
  {
    -13 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AS    1994    only    -    Mar    20    2:00s    0    S
  {
    -6 /*fromYearTiny*/,
    -6 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AS    1995    2005    -    Mar    lastSun    2:00s    0    S
  {
    -5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2006    only    -    Apr    2    2:00s    0    S
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2008    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyAS ACE_TIME_PROGMEM = {
  kZoneRulesAS /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AT
// Rules: 8
// Memory (8-bit): 78
// Memory (32-bit): 108
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAT[] ACE_TIME_PROGMEM = {
  // Rule    AT    1988    1990    -    Oct    lastSun    2:00s    1:00    D
  {
    -12 /*fromYearTiny*/,
    -10 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AT    1991    1999    -    Oct    Sun>=1    2:00s    1:00    D
  {
    -9 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AT    1991    2005    -    Mar    lastSun    2:00s    0    S
  {
    -9 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AT    2000    only    -    Aug    lastSun    2:00s    1:00    D
  {
    0 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AT    2001    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    1 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AT    2006    only    -    Apr    Sun>=1    2:00s    0    S
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AT    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AT    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyAT ACE_TIME_PROGMEM = {
  kZoneRulesAT /*rules*/,
  nullptr /*letters*/,
  8 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AV
// Rules: 9
// Memory (8-bit): 87
// Memory (32-bit): 120
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAV[] ACE_TIME_PROGMEM = {
  // Rule    AV    1988    1999    -    Oct    lastSun    2:00s    1:00    D
  {
    -12 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AV    1991    1994    -    Mar    Sun>=1    2:00s    0    S
  {
    -9 /*fromYearTiny*/,
    -6 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AV    1995    2005    -    Mar    lastSun    2:00s    0    S
  {
    -5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2000    only    -    Aug    lastSun    2:00s    1:00    D
  {
    0 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AV    2001    2007    -    Oct    lastSun    2:00s    1:00    D
  {
    1 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AV    2006    only    -    Apr    Sun>=1    2:00s    0    S
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2008    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyAV ACE_TIME_PROGMEM = {
  kZoneRulesAV /*rules*/,
  nullptr /*letters*/,
  9 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AW
// Rules: 4
// Memory (8-bit): 42
// Memory (32-bit): 60
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAW[] ACE_TIME_PROGMEM = {
  // Rule    AW    1992    only    -    Mar    Sun>=1    2:00s    0    S
  {
    -8 /*fromYearTiny*/,
    -8 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AW    2006    only    -    Dec     3    2:00s    1:00    D
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AW    2007    2009    -    Mar    lastSun    2:00s    0    S
  {
    7 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AW    2007    2008    -    Oct    lastSun    2:00s    1:00    D
  {
    7 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyAW ACE_TIME_PROGMEM = {
  kZoneRulesAW /*rules*/,
  nullptr /*letters*/,
  4 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Armenia
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesArmenia[] ACE_TIME_PROGMEM = {
  // Anchor: Rule Armenia    2011    only    -    Oct    lastSun     2:00s    0    -
  {
    -127 /*fromYearTiny*/,
    -127 /*toYearTiny*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule Armenia    2011    only    -    Mar    lastSun     2:00s    1:00    -
  {
    11 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule Armenia    2011    only    -    Oct    lastSun     2:00s    0    -
  {
    11 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyArmenia ACE_TIME_PROGMEM = {
  kZoneRulesArmenia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Aus
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAus[] ACE_TIME_PROGMEM = {
  // Rule    Aus    1943    1944    -    Mar    lastSun    2:00s    0    S
  {
    -57 /*fromYearTiny*/,
    -56 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyAus ACE_TIME_PROGMEM = {
  kZoneRulesAus /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Azer
// Rules: 2
// Memory (8-bit): 24
// Memory (32-bit): 36
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAzer[] ACE_TIME_PROGMEM = {
  // Rule    Azer    1997    2015    -    Mar    lastSun     4:00    1:00    -
  {
    -3 /*fromYearTiny*/,
    15 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Azer    1997    2015    -    Oct    lastSun     5:00    0    -
  {
    -3 /*fromYearTiny*/,
    15 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    20 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyAzer ACE_TIME_PROGMEM = {
  kZoneRulesAzer /*rules*/,
  nullptr /*letters*/,
  2 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Barb
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesBarb[] ACE_TIME_PROGMEM = {
  // Rule    Barb    1980    only    -    Sep    25    2:00    0    S
  {
    -20 /*fromYearTiny*/,
    -20 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    25 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyBarb ACE_TIME_PROGMEM = {
  kZoneRulesBarb /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Brazil
// Rules: 20
// Memory (8-bit): 186
// Memory (32-bit): 252
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesBrazil[] ACE_TIME_PROGMEM = {
  // Rule    Brazil    1998    only    -    Oct    11     0:00    1:00    -
  {
    -2 /*fromYearTiny*/,
    -2 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    1999    only    -    Feb    21     0:00    0    -
  {
    -1 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    1999    only    -    Oct     3     0:00    1:00    -
  {
    -1 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2000    only    -    Feb    27     0:00    0    -
  {
    0 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2000    2001    -    Oct    Sun>=8     0:00    1:00    -
  {
    0 /*fromYearTiny*/,
    1 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2001    2006    -    Feb    Sun>=15     0:00    0    -
  {
    1 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2002    only    -    Nov     3     0:00    1:00    -
  {
    2 /*fromYearTiny*/,
    2 /*toYearTiny*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2003    only    -    Oct    19     0:00    1:00    -
  {
    3 /*fromYearTiny*/,
    3 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2004    only    -    Nov     2     0:00    1:00    -
  {
    4 /*fromYearTiny*/,
    4 /*toYearTiny*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2005    only    -    Oct    16     0:00    1:00    -
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2006    only    -    Nov     5     0:00    1:00    -
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2007    only    -    Feb    25     0:00    0    -
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    25 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2007    only    -    Oct    Sun>=8     0:00    1:00    -
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2008    2017    -    Oct    Sun>=15    0:00    1:00    -
  {
    8 /*fromYearTiny*/,
    17 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2008    2011    -    Feb    Sun>=15    0:00    0    -
  {
    8 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2012    only    -    Feb    Sun>=22    0:00    0    -
  {
    12 /*fromYearTiny*/,
    12 /*toYearTiny*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2013    2014    -    Feb    Sun>=15    0:00    0    -
  {
    13 /*fromYearTiny*/,
    14 /*toYearTiny*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2015    only    -    Feb    Sun>=22    0:00    0    -
  {
    15 /*fromYearTiny*/,
    15 /*toYearTiny*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2016    2019    -    Feb    Sun>=15    0:00    0    -
  {
    16 /*fromYearTiny*/,
    19 /*toYearTiny*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2018    only    -    Nov    Sun>=1    0:00    1:00    -
  {
    18 /*fromYearTiny*/,
    18 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyBrazil ACE_TIME_PROGMEM = {
  kZoneRulesBrazil /*rules*/,
  nullptr /*letters*/,
  20 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: C_Eur
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesC_Eur[] ACE_TIME_PROGMEM = {
  // Rule    C-Eur    1979    1995    -    Sep    lastSun     2:00s    0    -
  {
    -21 /*fromYearTiny*/,
    -5 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    C-Eur    1981    max    -    Mar    lastSun     2:00s    1:00    S
  {
    -19 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    C-Eur    1996    max    -    Oct    lastSun     2:00s    0    -
  {
    -4 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyC_Eur ACE_TIME_PROGMEM = {
  kZoneRulesC_Eur /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: CO
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesCO[] ACE_TIME_PROGMEM = {
  // Rule    CO    1993    only    -    Apr     4    0:00    0    -
  {
    -7 /*fromYearTiny*/,
    -7 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyCO ACE_TIME_PROGMEM = {
  kZoneRulesCO /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: CR
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesCR[] ACE_TIME_PROGMEM = {
  // Rule    CR    1992    only    -    Mar    15    0:00    0    S
  {
    -8 /*fromYearTiny*/,
    -8 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyCR ACE_TIME_PROGMEM = {
  kZoneRulesCR /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Canada
// Rules: 5
// Memory (8-bit): 51
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesCanada[] ACE_TIME_PROGMEM = {
  // Rule    Canada    1974    1986    -    Apr    lastSun    2:00    1:00    D
  {
    -26 /*fromYearTiny*/,
    -14 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Canada    1974    2006    -    Oct    lastSun    2:00    0    S
  {
    -26 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Canada    1987    2006    -    Apr    Sun>=1    2:00    1:00    D
  {
    -13 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Canada    2007    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    7 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Canada    2007    max    -    Nov    Sun>=1    2:00    0    S
  {
    7 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyCanada ACE_TIME_PROGMEM = {
  kZoneRulesCanada /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Chatham
// Rules: 5
// Memory (8-bit): 51
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesChatham[] ACE_TIME_PROGMEM = {
  // Rule    Chatham    1989    only    -    Oct    Sun>=8    2:45s    1:00    -
  {
    -11 /*fromYearTiny*/,
    -11 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    1990    2006    -    Oct    Sun>=1    2:45s    1:00    -
  {
    -10 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    1990    2007    -    Mar    Sun>=15    2:45s    0    -
  {
    -10 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    2007    max    -    Sep    lastSun    2:45s    1:00    -
  {
    7 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    2008    max    -    Apr    Sun>=1    2:45s    0    -
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyChatham ACE_TIME_PROGMEM = {
  kZoneRulesChatham /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Chile
// Rules: 15
// Memory (8-bit): 141
// Memory (32-bit): 192
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesChile[] ACE_TIME_PROGMEM = {
  // Rule    Chile    1998    only    -    Sep    27    4:00u    1:00    -
  {
    -2 /*fromYearTiny*/,
    -2 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    1999    only    -    Apr     4    3:00u    0    -
  {
    -1 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    1999    2010    -    Oct    Sun>=9    4:00u    1:00    -
  {
    -1 /*fromYearTiny*/,
    10 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2000    2007    -    Mar    Sun>=9    3:00u    0    -
  {
    0 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2008    only    -    Mar    30    3:00u    0    -
  {
    8 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2009    only    -    Mar    Sun>=9    3:00u    0    -
  {
    9 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2010    only    -    Apr    Sun>=1    3:00u    0    -
  {
    10 /*fromYearTiny*/,
    10 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2011    only    -    May    Sun>=2    3:00u    0    -
  {
    11 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2011    only    -    Aug    Sun>=16    4:00u    1:00    -
  {
    11 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2012    2014    -    Apr    Sun>=23    3:00u    0    -
  {
    12 /*fromYearTiny*/,
    14 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2012    2014    -    Sep    Sun>=2    4:00u    1:00    -
  {
    12 /*fromYearTiny*/,
    14 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2016    2018    -    May    Sun>=9    3:00u    0    -
  {
    16 /*fromYearTiny*/,
    18 /*toYearTiny*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2016    2018    -    Aug    Sun>=9    4:00u    1:00    -
  {
    16 /*fromYearTiny*/,
    18 /*toYearTiny*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2019    max    -    Apr    Sun>=2    3:00u    0    -
  {
    19 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2019    max    -    Sep    Sun>=2    4:00u    1:00    -
  {
    19 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyChile ACE_TIME_PROGMEM = {
  kZoneRulesChile /*rules*/,
  nullptr /*letters*/,
  15 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Cook
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesCook[] ACE_TIME_PROGMEM = {
  // Rule    Cook    1979    1991    -    Mar    Sun>=1    0:00    0    -
  {
    -21 /*fromYearTiny*/,
    -9 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyCook ACE_TIME_PROGMEM = {
  kZoneRulesCook /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Cuba
// Rules: 14
// Memory (8-bit): 132
// Memory (32-bit): 180
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesCuba[] ACE_TIME_PROGMEM = {
  // Rule    Cuba    1997    only    -    Oct    12    0:00s    0    S
  {
    -3 /*fromYearTiny*/,
    -3 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    1998    1999    -    Mar    lastSun    0:00s    1:00    D
  {
    -2 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    1998    2003    -    Oct    lastSun    0:00s    0    S
  {
    -2 /*fromYearTiny*/,
    3 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2000    2003    -    Apr    Sun>=1    0:00s    1:00    D
  {
    0 /*fromYearTiny*/,
    3 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2004    only    -    Mar    lastSun    0:00s    1:00    D
  {
    4 /*fromYearTiny*/,
    4 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2006    2010    -    Oct    lastSun    0:00s    0    S
  {
    6 /*fromYearTiny*/,
    10 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2007    only    -    Mar    Sun>=8    0:00s    1:00    D
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2008    only    -    Mar    Sun>=15    0:00s    1:00    D
  {
    8 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2009    2010    -    Mar    Sun>=8    0:00s    1:00    D
  {
    9 /*fromYearTiny*/,
    10 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2011    only    -    Mar    Sun>=15    0:00s    1:00    D
  {
    11 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2011    only    -    Nov    13    0:00s    0    S
  {
    11 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    13 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2012    only    -    Apr    1    0:00s    1:00    D
  {
    12 /*fromYearTiny*/,
    12 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2012    max    -    Nov    Sun>=1    0:00s    0    S
  {
    12 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2013    max    -    Mar    Sun>=8    0:00s    1:00    D
  {
    13 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyCuba ACE_TIME_PROGMEM = {
  kZoneRulesCuba /*rules*/,
  nullptr /*letters*/,
  14 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Dhaka
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesDhaka[] ACE_TIME_PROGMEM = {
  // Anchor: Rule    Dhaka    2009    only    -    Dec    31    24:00    0    -
  {
    -127 /*fromYearTiny*/,
    -127 /*toYearTiny*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Dhaka    2009    only    -    Jun    19    23:00    1:00    -
  {
    9 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    92 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Dhaka    2009    only    -    Dec    31    24:00    0    -
  {
    9 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    31 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyDhaka ACE_TIME_PROGMEM = {
  kZoneRulesDhaka /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: EU
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesEU[] ACE_TIME_PROGMEM = {
  // Rule    EU    1979    1995    -    Sep    lastSun     1:00u    0    -
  {
    -21 /*fromYearTiny*/,
    -5 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    EU    1981    max    -    Mar    lastSun     1:00u    1:00    S
  {
    -19 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    EU    1996    max    -    Oct    lastSun     1:00u    0    -
  {
    -4 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyEU ACE_TIME_PROGMEM = {
  kZoneRulesEU /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: EUAsia
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesEUAsia[] ACE_TIME_PROGMEM = {
  // Rule    EUAsia    1981    max    -    Mar    lastSun     1:00u    1:00    S
  {
    -19 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    EUAsia    1979    1995    -    Sep    lastSun     1:00u    0    -
  {
    -21 /*fromYearTiny*/,
    -5 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    EUAsia    1996    max    -    Oct    lastSun     1:00u    0    -
  {
    -4 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyEUAsia ACE_TIME_PROGMEM = {
  kZoneRulesEUAsia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Ecuador
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesEcuador[] ACE_TIME_PROGMEM = {
  // Rule    Ecuador    1993    only    -    Feb     5    0:00    0    -
  {
    -7 /*fromYearTiny*/,
    -7 /*toYearTiny*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyEcuador ACE_TIME_PROGMEM = {
  kZoneRulesEcuador /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Eire
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesEire[] ACE_TIME_PROGMEM = {
  // Rule    Eire    1981    max    -    Mar    lastSun     1:00u    0    -
  {
    -19 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Eire    1990    1995    -    Oct    Sun>=22     1:00u    -1:00    -
  {
    -10 /*fromYearTiny*/,
    -5 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    -4 /*deltaCode ((deltaMinutes=-60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Eire    1996    max    -    Oct    lastSun     1:00u    -1:00    -
  {
    -4 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    -4 /*deltaCode ((deltaMinutes=-60)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyEire ACE_TIME_PROGMEM = {
  kZoneRulesEire /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Fiji
// Rules: 13
// Memory (8-bit): 123
// Memory (32-bit): 168
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesFiji[] ACE_TIME_PROGMEM = {
  // Rule    Fiji    1998    1999    -    Nov    Sun>=1    2:00    1:00    -
  {
    -2 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    1999    2000    -    Feb    lastSun    3:00    0    -
  {
    -1 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2009    only    -    Nov    29    2:00    1:00    -
  {
    9 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    29 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2010    only    -    Mar    lastSun    3:00    0    -
  {
    10 /*fromYearTiny*/,
    10 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2010    2013    -    Oct    Sun>=21    2:00    1:00    -
  {
    10 /*fromYearTiny*/,
    13 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2011    only    -    Mar    Sun>=1    3:00    0    -
  {
    11 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2012    2013    -    Jan    Sun>=18    3:00    0    -
  {
    12 /*fromYearTiny*/,
    13 /*toYearTiny*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2014    only    -    Jan    Sun>=18    2:00    0    -
  {
    14 /*fromYearTiny*/,
    14 /*toYearTiny*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2014    2018    -    Nov    Sun>=1    2:00    1:00    -
  {
    14 /*fromYearTiny*/,
    18 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2015    max    -    Jan    Sun>=12    3:00    0    -
  {
    15 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2019    only    -    Nov    Sun>=8    2:00    1:00    -
  {
    19 /*fromYearTiny*/,
    19 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2020    only    -    Dec    20    2:00    1:00    -
  {
    20 /*fromYearTiny*/,
    20 /*toYearTiny*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2021    max    -    Nov    Sun>=8    2:00    1:00    -
  {
    21 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyFiji ACE_TIME_PROGMEM = {
  kZoneRulesFiji /*rules*/,
  nullptr /*letters*/,
  13 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Guat
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesGuat[] ACE_TIME_PROGMEM = {
  // Rule    Guat    1991    only    -    Sep     7    0:00    0    S
  {
    -9 /*fromYearTiny*/,
    -9 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Guat    2006    only    -    Apr    30    0:00    1:00    D
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Guat    2006    only    -    Oct     1    0:00    0    S
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyGuat ACE_TIME_PROGMEM = {
  kZoneRulesGuat /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: HK
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesHK[] ACE_TIME_PROGMEM = {
  // Rule    HK    1979    only    -    Oct    21    3:30    0    -
  {
    -21 /*fromYearTiny*/,
    -21 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    14 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyHK ACE_TIME_PROGMEM = {
  kZoneRulesHK /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Haiti
// Rules: 7
// Memory (8-bit): 69
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesHaiti[] ACE_TIME_PROGMEM = {
  // Rule    Haiti    1988    1997    -    Oct    lastSun    1:00s    0    S
  {
    -12 /*fromYearTiny*/,
    -3 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Haiti    2005    2006    -    Apr    Sun>=1    0:00    1:00    D
  {
    5 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Haiti    2005    2006    -    Oct    lastSun    0:00    0    S
  {
    5 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Haiti    2012    2015    -    Mar    Sun>=8    2:00    1:00    D
  {
    12 /*fromYearTiny*/,
    15 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Haiti    2012    2015    -    Nov    Sun>=1    2:00    0    S
  {
    12 /*fromYearTiny*/,
    15 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Haiti    2017    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    17 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Haiti    2017    max    -    Nov    Sun>=1    2:00    0    S
  {
    17 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyHaiti ACE_TIME_PROGMEM = {
  kZoneRulesHaiti /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Holiday
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesHoliday[] ACE_TIME_PROGMEM = {
  // Rule    Holiday    1993    1994    -    Mar    Sun>=1    2:00s    0    S
  {
    -7 /*fromYearTiny*/,
    -6 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyHoliday ACE_TIME_PROGMEM = {
  kZoneRulesHoliday /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Hond
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesHond[] ACE_TIME_PROGMEM = {
  // Rule    Hond    1987    1988    -    Sep    lastSun    0:00    0    S
  {
    -13 /*fromYearTiny*/,
    -12 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Hond    2006    only    -    May    Sun>=1    0:00    1:00    D
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Hond    2006    only    -    Aug    Mon>=1    0:00    0    S
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    8 /*inMonth*/,
    1 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyHond ACE_TIME_PROGMEM = {
  kZoneRulesHond /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Iran
// Rules: 55
// Memory (8-bit): 501
// Memory (32-bit): 672
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesIran[] ACE_TIME_PROGMEM = {
  // Rule    Iran    1996    only    -    Sep    20    24:00    0    -
  {
    -4 /*fromYearTiny*/,
    -4 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    1997    1999    -    Mar    21    24:00    1:00    -
  {
    -3 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    1997    1999    -    Sep    21    24:00    0    -
  {
    -3 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2000    only    -    Mar    20    24:00    1:00    -
  {
    0 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2000    only    -    Sep    20    24:00    0    -
  {
    0 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2001    2003    -    Mar    21    24:00    1:00    -
  {
    1 /*fromYearTiny*/,
    3 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2001    2003    -    Sep    21    24:00    0    -
  {
    1 /*fromYearTiny*/,
    3 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2004    only    -    Mar    20    24:00    1:00    -
  {
    4 /*fromYearTiny*/,
    4 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2004    only    -    Sep    20    24:00    0    -
  {
    4 /*fromYearTiny*/,
    4 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2005    only    -    Mar    21    24:00    1:00    -
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2005    only    -    Sep    21    24:00    0    -
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2008    only    -    Mar    20    24:00    1:00    -
  {
    8 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2008    only    -    Sep    20    24:00    0    -
  {
    8 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2009    2011    -    Mar    21    24:00    1:00    -
  {
    9 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2009    2011    -    Sep    21    24:00    0    -
  {
    9 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2012    only    -    Mar    20    24:00    1:00    -
  {
    12 /*fromYearTiny*/,
    12 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2012    only    -    Sep    20    24:00    0    -
  {
    12 /*fromYearTiny*/,
    12 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2013    2015    -    Mar    21    24:00    1:00    -
  {
    13 /*fromYearTiny*/,
    15 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2013    2015    -    Sep    21    24:00    0    -
  {
    13 /*fromYearTiny*/,
    15 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2016    only    -    Mar    20    24:00    1:00    -
  {
    16 /*fromYearTiny*/,
    16 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2016    only    -    Sep    20    24:00    0    -
  {
    16 /*fromYearTiny*/,
    16 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2017    2019    -    Mar    21    24:00    1:00    -
  {
    17 /*fromYearTiny*/,
    19 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2017    2019    -    Sep    21    24:00    0    -
  {
    17 /*fromYearTiny*/,
    19 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2020    only    -    Mar    20    24:00    1:00    -
  {
    20 /*fromYearTiny*/,
    20 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2020    only    -    Sep    20    24:00    0    -
  {
    20 /*fromYearTiny*/,
    20 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2021    2023    -    Mar    21    24:00    1:00    -
  {
    21 /*fromYearTiny*/,
    23 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2021    2023    -    Sep    21    24:00    0    -
  {
    21 /*fromYearTiny*/,
    23 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2024    only    -    Mar    20    24:00    1:00    -
  {
    24 /*fromYearTiny*/,
    24 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2024    only    -    Sep    20    24:00    0    -
  {
    24 /*fromYearTiny*/,
    24 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2025    2027    -    Mar    21    24:00    1:00    -
  {
    25 /*fromYearTiny*/,
    27 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2025    2027    -    Sep    21    24:00    0    -
  {
    25 /*fromYearTiny*/,
    27 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2028    2029    -    Mar    20    24:00    1:00    -
  {
    28 /*fromYearTiny*/,
    29 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2028    2029    -    Sep    20    24:00    0    -
  {
    28 /*fromYearTiny*/,
    29 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2030    2031    -    Mar    21    24:00    1:00    -
  {
    30 /*fromYearTiny*/,
    31 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2030    2031    -    Sep    21    24:00    0    -
  {
    30 /*fromYearTiny*/,
    31 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2032    2033    -    Mar    20    24:00    1:00    -
  {
    32 /*fromYearTiny*/,
    33 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2032    2033    -    Sep    20    24:00    0    -
  {
    32 /*fromYearTiny*/,
    33 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2034    2035    -    Mar    21    24:00    1:00    -
  {
    34 /*fromYearTiny*/,
    35 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2034    2035    -    Sep    21    24:00    0    -
  {
    34 /*fromYearTiny*/,
    35 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2036    2037    -    Mar    20    24:00    1:00    -
  {
    36 /*fromYearTiny*/,
    37 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2036    2037    -    Sep    20    24:00    0    -
  {
    36 /*fromYearTiny*/,
    37 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2038    2039    -    Mar    21    24:00    1:00    -
  {
    38 /*fromYearTiny*/,
    39 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2038    2039    -    Sep    21    24:00    0    -
  {
    38 /*fromYearTiny*/,
    39 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2040    2041    -    Mar    20    24:00    1:00    -
  {
    40 /*fromYearTiny*/,
    41 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2040    2041    -    Sep    20    24:00    0    -
  {
    40 /*fromYearTiny*/,
    41 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2042    2043    -    Mar    21    24:00    1:00    -
  {
    42 /*fromYearTiny*/,
    43 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2042    2043    -    Sep    21    24:00    0    -
  {
    42 /*fromYearTiny*/,
    43 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2044    2045    -    Mar    20    24:00    1:00    -
  {
    44 /*fromYearTiny*/,
    45 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2044    2045    -    Sep    20    24:00    0    -
  {
    44 /*fromYearTiny*/,
    45 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2046    2047    -    Mar    21    24:00    1:00    -
  {
    46 /*fromYearTiny*/,
    47 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2046    2047    -    Sep    21    24:00    0    -
  {
    46 /*fromYearTiny*/,
    47 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2048    2049    -    Mar    20    24:00    1:00    -
  {
    48 /*fromYearTiny*/,
    49 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2048    2049    -    Sep    20    24:00    0    -
  {
    48 /*fromYearTiny*/,
    49 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2050    2051    -    Mar    21    24:00    1:00    -
  {
    50 /*fromYearTiny*/,
    51 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2050    2051    -    Sep    21    24:00    0    -
  {
    50 /*fromYearTiny*/,
    51 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyIran ACE_TIME_PROGMEM = {
  kZoneRulesIran /*rules*/,
  nullptr /*letters*/,
  55 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Iraq
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesIraq[] ACE_TIME_PROGMEM = {
  // Rule    Iraq    1985    1990    -    Sep    lastSun    1:00s    0    -
  {
    -15 /*fromYearTiny*/,
    -10 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iraq    1991    2007    -    Apr     1    3:00s    1:00    -
  {
    -9 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iraq    1991    2007    -    Oct     1    3:00s    0    -
  {
    -9 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyIraq ACE_TIME_PROGMEM = {
  kZoneRulesIraq /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Japan
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesJapan[] ACE_TIME_PROGMEM = {
  // Rule    Japan    1948    1951    -    Sep    Sat>=8    25:00    0    S
  {
    -52 /*fromYearTiny*/,
    -49 /*toYearTiny*/,
    9 /*inMonth*/,
    6 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    100 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyJapan ACE_TIME_PROGMEM = {
  kZoneRulesJapan /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Jordan
// Rules: 12
// Memory (8-bit): 114
// Memory (32-bit): 156
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesJordan[] ACE_TIME_PROGMEM = {
  // Rule    Jordan    1995    1998    -    Sep    Fri>=15    0:00s    0    -
  {
    -5 /*fromYearTiny*/,
    -2 /*toYearTiny*/,
    9 /*inMonth*/,
    5 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    1999    only    -    Jul     1    0:00s    1:00    S
  {
    -1 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Jordan    1999    2002    -    Sep    lastFri    0:00s    0    -
  {
    -1 /*fromYearTiny*/,
    2 /*toYearTiny*/,
    9 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2000    2001    -    Mar    lastThu    0:00s    1:00    S
  {
    0 /*fromYearTiny*/,
    1 /*toYearTiny*/,
    3 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Jordan    2002    2012    -    Mar    lastThu    24:00    1:00    S
  {
    2 /*fromYearTiny*/,
    12 /*toYearTiny*/,
    3 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Jordan    2003    only    -    Oct    24    0:00s    0    -
  {
    3 /*fromYearTiny*/,
    3 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    24 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2004    only    -    Oct    15    0:00s    0    -
  {
    4 /*fromYearTiny*/,
    4 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2005    only    -    Sep    lastFri    0:00s    0    -
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    9 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2006    2011    -    Oct    lastFri    0:00s    0    -
  {
    6 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    10 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2013    only    -    Dec    20    0:00    0    -
  {
    13 /*fromYearTiny*/,
    13 /*toYearTiny*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2014    max    -    Mar    lastThu    24:00    1:00    S
  {
    14 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Jordan    2014    max    -    Oct    lastFri    0:00s    0    -
  {
    14 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyJordan ACE_TIME_PROGMEM = {
  kZoneRulesJordan /*rules*/,
  nullptr /*letters*/,
  12 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: LH
// Rules: 9
// Memory (8-bit): 87
// Memory (32-bit): 120
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesLH[] ACE_TIME_PROGMEM = {
  // Rule    LH    1987    1999    -    Oct    lastSun    2:00    0:30    -
  {
    -13 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    2 /*deltaCode ((deltaMinutes=30)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    1990    1995    -    Mar    Sun>=1    2:00    0    -
  {
    -10 /*fromYearTiny*/,
    -5 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    1996    2005    -    Mar    lastSun    2:00    0    -
  {
    -4 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2000    only    -    Aug    lastSun    2:00    0:30    -
  {
    0 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    2 /*deltaCode ((deltaMinutes=30)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2001    2007    -    Oct    lastSun    2:00    0:30    -
  {
    1 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    2 /*deltaCode ((deltaMinutes=30)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2006    only    -    Apr    Sun>=1    2:00    0    -
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2007    only    -    Mar    lastSun    2:00    0    -
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2008    max    -    Apr    Sun>=1    2:00    0    -
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2008    max    -    Oct    Sun>=1    2:00    0:30    -
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    2 /*deltaCode ((deltaMinutes=30)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyLH ACE_TIME_PROGMEM = {
  kZoneRulesLH /*rules*/,
  nullptr /*letters*/,
  9 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Lebanon
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesLebanon[] ACE_TIME_PROGMEM = {
  // Rule    Lebanon    1993    max    -    Mar    lastSun    0:00    1:00    S
  {
    -7 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Lebanon    1993    1998    -    Sep    lastSun    0:00    0    -
  {
    -7 /*fromYearTiny*/,
    -2 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Lebanon    1999    max    -    Oct    lastSun    0:00    0    -
  {
    -1 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyLebanon ACE_TIME_PROGMEM = {
  kZoneRulesLebanon /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Macau
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMacau[] ACE_TIME_PROGMEM = {
  // Rule    Macau    1979    only    -    Oct    Sun>=16    03:30    0    S
  {
    -21 /*fromYearTiny*/,
    -21 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    14 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyMacau ACE_TIME_PROGMEM = {
  kZoneRulesMacau /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Mauritius
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMauritius[] ACE_TIME_PROGMEM = {
  // Rule Mauritius    1983    only    -    Mar    21    0:00    0    -
  {
    -17 /*fromYearTiny*/,
    -17 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule Mauritius    2008    only    -    Oct    lastSun    2:00    1:00    -
  {
    8 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule Mauritius    2009    only    -    Mar    lastSun    2:00    0    -
  {
    9 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyMauritius ACE_TIME_PROGMEM = {
  kZoneRulesMauritius /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Mexico
// Rules: 7
// Memory (8-bit): 69
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMexico[] ACE_TIME_PROGMEM = {
  // Rule    Mexico    1950    only    -    Jul    30    0:00    0    S
  {
    -50 /*fromYearTiny*/,
    -50 /*toYearTiny*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Mexico    1996    2000    -    Apr    Sun>=1    2:00    1:00    D
  {
    -4 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Mexico    1996    2000    -    Oct    lastSun    2:00    0    S
  {
    -4 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Mexico    2001    only    -    May    Sun>=1    2:00    1:00    D
  {
    1 /*fromYearTiny*/,
    1 /*toYearTiny*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Mexico    2001    only    -    Sep    lastSun    2:00    0    S
  {
    1 /*fromYearTiny*/,
    1 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Mexico    2002    max    -    Apr    Sun>=1    2:00    1:00    D
  {
    2 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Mexico    2002    max    -    Oct    lastSun    2:00    0    S
  {
    2 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyMexico ACE_TIME_PROGMEM = {
  kZoneRulesMexico /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Moldova
// Rules: 2
// Memory (8-bit): 24
// Memory (32-bit): 36
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMoldova[] ACE_TIME_PROGMEM = {
  // Rule    Moldova    1997    max    -    Mar    lastSun     2:00    1:00    S
  {
    -3 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Moldova    1997    max    -    Oct    lastSun     3:00    0    -
  {
    -3 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyMoldova ACE_TIME_PROGMEM = {
  kZoneRulesMoldova /*rules*/,
  nullptr /*letters*/,
  2 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Moncton
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMoncton[] ACE_TIME_PROGMEM = {
  // Rule    Moncton    1957    1972    -    Oct    lastSun    2:00    0    S
  {
    -43 /*fromYearTiny*/,
    -28 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Moncton    1993    2006    -    Apr    Sun>=1    0:01    1:00    D
  {
    -7 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Moncton    1993    2006    -    Oct    lastSun    0:01    0    S
  {
    -7 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyMoncton ACE_TIME_PROGMEM = {
  kZoneRulesMoncton /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Mongol
// Rules: 6
// Memory (8-bit): 60
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMongol[] ACE_TIME_PROGMEM = {
  // Rule    Mongol    1984    1998    -    Sep    lastSun    0:00    0    -
  {
    -16 /*fromYearTiny*/,
    -2 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2001    only    -    Apr    lastSat    2:00    1:00    -
  {
    1 /*fromYearTiny*/,
    1 /*toYearTiny*/,
    4 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2001    2006    -    Sep    lastSat    2:00    0    -
  {
    1 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    9 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2002    2006    -    Mar    lastSat    2:00    1:00    -
  {
    2 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    3 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2015    2016    -    Mar    lastSat    2:00    1:00    -
  {
    15 /*fromYearTiny*/,
    16 /*toYearTiny*/,
    3 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2015    2016    -    Sep    lastSat    0:00    0    -
  {
    15 /*fromYearTiny*/,
    16 /*toYearTiny*/,
    9 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyMongol ACE_TIME_PROGMEM = {
  kZoneRulesMongol /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: NC
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesNC[] ACE_TIME_PROGMEM = {
  // Rule    NC    1997    only    -    Mar     2    2:00s    0    -
  {
    -3 /*fromYearTiny*/,
    -3 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyNC ACE_TIME_PROGMEM = {
  kZoneRulesNC /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: NZ
// Rules: 5
// Memory (8-bit): 51
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesNZ[] ACE_TIME_PROGMEM = {
  // Rule    NZ    1989    only    -    Oct    Sun>=8    2:00s    1:00    D
  {
    -11 /*fromYearTiny*/,
    -11 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    NZ    1990    2006    -    Oct    Sun>=1    2:00s    1:00    D
  {
    -10 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    NZ    1990    2007    -    Mar    Sun>=15    2:00s    0    S
  {
    -10 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    NZ    2007    max    -    Sep    lastSun    2:00s    1:00    D
  {
    7 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    NZ    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    8 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyNZ ACE_TIME_PROGMEM = {
  kZoneRulesNZ /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Nic
// Rules: 5
// Memory (8-bit): 51
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesNic[] ACE_TIME_PROGMEM = {
  // Rule    Nic    1979    1980    -    Jun    Mon>=23    0:00    0    S
  {
    -21 /*fromYearTiny*/,
    -20 /*toYearTiny*/,
    6 /*inMonth*/,
    1 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Nic    2005    only    -    Apr    10    0:00    1:00    D
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    10 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Nic    2005    only    -    Oct    Sun>=1    0:00    0    S
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Nic    2006    only    -    Apr    30    2:00    1:00    D
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Nic    2006    only    -    Oct    Sun>=1    1:00    0    S
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyNic ACE_TIME_PROGMEM = {
  kZoneRulesNic /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: PRC
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesPRC[] ACE_TIME_PROGMEM = {
  // Rule    PRC    1986    1991    -    Sep    Sun>=11     2:00    0    S
  {
    -14 /*fromYearTiny*/,
    -9 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyPRC ACE_TIME_PROGMEM = {
  kZoneRulesPRC /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Pakistan
// Rules: 6
// Memory (8-bit): 60
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesPakistan[] ACE_TIME_PROGMEM = {
  // Anchor: Rule Pakistan    2002    only    -    Oct    Sun>=2    0:00    0    -
  {
    -127 /*fromYearTiny*/,
    -127 /*toYearTiny*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule Pakistan    2002    only    -    Apr    Sun>=2    0:00    1:00    S
  {
    2 /*fromYearTiny*/,
    2 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule Pakistan    2002    only    -    Oct    Sun>=2    0:00    0    -
  {
    2 /*fromYearTiny*/,
    2 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule Pakistan    2008    only    -    Jun    1    0:00    1:00    S
  {
    8 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule Pakistan    2008    2009    -    Nov    1    0:00    0    -
  {
    8 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule Pakistan    2009    only    -    Apr    15    0:00    1:00    S
  {
    9 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyPakistan ACE_TIME_PROGMEM = {
  kZoneRulesPakistan /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Para
// Rules: 10
// Memory (8-bit): 96
// Memory (32-bit): 132
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesPara[] ACE_TIME_PROGMEM = {
  // Rule    Para    1996    2001    -    Oct    Sun>=1    0:00    1:00    -
  {
    -4 /*fromYearTiny*/,
    1 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    1997    only    -    Feb    lastSun    0:00    0    -
  {
    -3 /*fromYearTiny*/,
    -3 /*toYearTiny*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    1998    2001    -    Mar    Sun>=1    0:00    0    -
  {
    -2 /*fromYearTiny*/,
    1 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2002    2004    -    Apr    Sun>=1    0:00    0    -
  {
    2 /*fromYearTiny*/,
    4 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2002    2003    -    Sep    Sun>=1    0:00    1:00    -
  {
    2 /*fromYearTiny*/,
    3 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2004    2009    -    Oct    Sun>=15    0:00    1:00    -
  {
    4 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2005    2009    -    Mar    Sun>=8    0:00    0    -
  {
    5 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2010    max    -    Oct    Sun>=1    0:00    1:00    -
  {
    10 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2010    2012    -    Apr    Sun>=8    0:00    0    -
  {
    10 /*fromYearTiny*/,
    12 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2013    max    -    Mar    Sun>=22    0:00    0    -
  {
    13 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyPara ACE_TIME_PROGMEM = {
  kZoneRulesPara /*rules*/,
  nullptr /*letters*/,
  10 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Peru
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesPeru[] ACE_TIME_PROGMEM = {
  // Rule    Peru    1994    only    -    Apr     1    0:00    0    -
  {
    -6 /*fromYearTiny*/,
    -6 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyPeru ACE_TIME_PROGMEM = {
  kZoneRulesPeru /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Phil
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesPhil[] ACE_TIME_PROGMEM = {
  // Rule    Phil    1978    only    -    Sep    21    0:00    0    S
  {
    -22 /*fromYearTiny*/,
    -22 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyPhil ACE_TIME_PROGMEM = {
  kZoneRulesPhil /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: ROK
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesROK[] ACE_TIME_PROGMEM = {
  // Rule    ROK    1987    1988    -    Oct    Sun>=8     3:00    0    S
  {
    -13 /*fromYearTiny*/,
    -12 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyROK ACE_TIME_PROGMEM = {
  kZoneRulesROK /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: RussiaAsia
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesRussiaAsia[] ACE_TIME_PROGMEM = {
  // Rule RussiaAsia    1984    1995    -    Sep    lastSun     2:00s    0    -
  {
    -16 /*fromYearTiny*/,
    -5 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule RussiaAsia    1985    2010    -    Mar    lastSun     2:00s    1:00    -
  {
    -15 /*fromYearTiny*/,
    10 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule RussiaAsia    1996    2010    -    Oct    lastSun     2:00s    0    -
  {
    -4 /*fromYearTiny*/,
    10 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyRussiaAsia ACE_TIME_PROGMEM = {
  kZoneRulesRussiaAsia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: SA
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesSA[] ACE_TIME_PROGMEM = {
  // Rule    SA    1943    1944    -    Mar    Sun>=15    2:00    0    -
  {
    -57 /*fromYearTiny*/,
    -56 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicySA ACE_TIME_PROGMEM = {
  kZoneRulesSA /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Salv
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesSalv[] ACE_TIME_PROGMEM = {
  // Rule    Salv    1987    1988    -    Sep    lastSun    0:00    0    S
  {
    -13 /*fromYearTiny*/,
    -12 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicySalv ACE_TIME_PROGMEM = {
  kZoneRulesSalv /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Syria
// Rules: 12
// Memory (8-bit): 114
// Memory (32-bit): 156
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesSyria[] ACE_TIME_PROGMEM = {
  // Rule    Syria    1994    2005    -    Oct     1    0:00    0    -
  {
    -6 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Syria    1997    1998    -    Mar    lastMon    0:00    1:00    S
  {
    -3 /*fromYearTiny*/,
    -2 /*toYearTiny*/,
    3 /*inMonth*/,
    1 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    1999    2006    -    Apr     1    0:00    1:00    S
  {
    -1 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2006    only    -    Sep    22    0:00    0    -
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Syria    2007    only    -    Mar    lastFri    0:00    1:00    S
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2007    only    -    Nov     Fri>=1    0:00    0    -
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    11 /*inMonth*/,
    5 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Syria    2008    only    -    Apr    Fri>=1    0:00    1:00    S
  {
    8 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    4 /*inMonth*/,
    5 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2008    only    -    Nov    1    0:00    0    -
  {
    8 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Syria    2009    only    -    Mar    lastFri    0:00    1:00    S
  {
    9 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2010    2011    -    Apr    Fri>=1    0:00    1:00    S
  {
    10 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    4 /*inMonth*/,
    5 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2012    max    -    Mar    lastFri    0:00    1:00    S
  {
    12 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2009    max    -    Oct    lastFri    0:00    0    -
  {
    9 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicySyria ACE_TIME_PROGMEM = {
  kZoneRulesSyria /*rules*/,
  nullptr /*letters*/,
  12 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Taiwan
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesTaiwan[] ACE_TIME_PROGMEM = {
  // Rule    Taiwan    1979    only    -    Oct    1    0:00    0    S
  {
    -21 /*fromYearTiny*/,
    -21 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyTaiwan ACE_TIME_PROGMEM = {
  kZoneRulesTaiwan /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Thule
// Rules: 5
// Memory (8-bit): 51
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesThule[] ACE_TIME_PROGMEM = {
  // Rule    Thule    1991    1992    -    Sep    lastSun    2:00    0    S
  {
    -9 /*fromYearTiny*/,
    -8 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Thule    1993    2006    -    Apr    Sun>=1    2:00    1:00    D
  {
    -7 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Thule    1993    2006    -    Oct    lastSun    2:00    0    S
  {
    -7 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Thule    2007    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    7 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Thule    2007    max    -    Nov    Sun>=1    2:00    0    S
  {
    7 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyThule ACE_TIME_PROGMEM = {
  kZoneRulesThule /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Tonga
// Rules: 7
// Memory (8-bit): 69
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesTonga[] ACE_TIME_PROGMEM = {
  // Anchor: Rule    Tonga    2000    only    -    Mar    19    2:00s    0    -
  {
    -127 /*fromYearTiny*/,
    -127 /*toYearTiny*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    1999    only    -    Oct     7    2:00s    1:00    -
  {
    -1 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2000    only    -    Mar    19    2:00s    0    -
  {
    0 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2000    2001    -    Nov    Sun>=1    2:00    1:00    -
  {
    0 /*fromYearTiny*/,
    1 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2001    2002    -    Jan    lastSun    2:00    0    -
  {
    1 /*fromYearTiny*/,
    2 /*toYearTiny*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2016    only    -    Nov    Sun>=1    2:00    1:00    -
  {
    16 /*fromYearTiny*/,
    16 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2017    only    -    Jan    Sun>=15    3:00    0    -
  {
    17 /*fromYearTiny*/,
    17 /*toYearTiny*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyTonga ACE_TIME_PROGMEM = {
  kZoneRulesTonga /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Tunisia
// Rules: 5
// Memory (8-bit): 51
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesTunisia[] ACE_TIME_PROGMEM = {
  // Rule    Tunisia    1988    1990    -    Sep    lastSun     0:00s    0    -
  {
    -12 /*fromYearTiny*/,
    -10 /*toYearTiny*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tunisia    2005    only    -    May     1     0:00s    1:00    S
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Tunisia    2005    only    -    Sep    30     1:00s    0    -
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tunisia    2006    2008    -    Mar    lastSun     2:00s    1:00    S
  {
    6 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Tunisia    2006    2008    -    Oct    lastSun     2:00s    0    -
  {
    6 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyTunisia ACE_TIME_PROGMEM = {
  kZoneRulesTunisia /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: US
// Rules: 5
// Memory (8-bit): 51
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesUS[] ACE_TIME_PROGMEM = {
  // Rule    US    1967    2006    -    Oct    lastSun    2:00    0    S
  {
    -33 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    US    1976    1986    -    Apr    lastSun    2:00    1:00    D
  {
    -24 /*fromYearTiny*/,
    -14 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    US    1987    2006    -    Apr    Sun>=1    2:00    1:00    D
  {
    -13 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    US    2007    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    7 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    US    2007    max    -    Nov    Sun>=1    2:00    0    S
  {
    7 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyUS ACE_TIME_PROGMEM = {
  kZoneRulesUS /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Uruguay
// Rules: 6
// Memory (8-bit): 60
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesUruguay[] ACE_TIME_PROGMEM = {
  // Rule    Uruguay    1993    only    -    Feb    28     0:00    0    -
  {
    -7 /*fromYearTiny*/,
    -7 /*toYearTiny*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2004    only    -    Sep    19     0:00    1:00    -
  {
    4 /*fromYearTiny*/,
    4 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2005    only    -    Mar    27     2:00    0    -
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2005    only    -    Oct     9     2:00    1:00    -
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2006    2015    -    Mar    Sun>=8     2:00    0    -
  {
    6 /*fromYearTiny*/,
    15 /*toYearTiny*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2006    2014    -    Oct    Sun>=1     2:00    1:00    -
  {
    6 /*fromYearTiny*/,
    14 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyUruguay ACE_TIME_PROGMEM = {
  kZoneRulesUruguay /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Vanuatu
// Rules: 1
// Memory (8-bit): 15
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesVanuatu[] ACE_TIME_PROGMEM = {
  // Rule    Vanuatu    1992    1993    -    Jan    Sat>=22    24:00    0    -
  {
    -8 /*fromYearTiny*/,
    -7 /*toYearTiny*/,
    1 /*inMonth*/,
    6 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyVanuatu ACE_TIME_PROGMEM = {
  kZoneRulesVanuatu /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Winn
// Rules: 3
// Memory (8-bit): 33
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesWinn[] ACE_TIME_PROGMEM = {
  // Rule    Winn    1966    1986    -    Apr    lastSun    2:00s    1:00    D
  {
    -34 /*fromYearTiny*/,
    -14 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Winn    1966    2005    -    Oct    lastSun    2:00s    0    S
  {
    -34 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Winn    1987    2005    -    Apr    Sun>=1    2:00s    1:00    D
  {
    -13 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyWinn ACE_TIME_PROGMEM = {
  kZoneRulesWinn /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Zion
// Rules: 24
// Memory (8-bit): 222
// Memory (32-bit): 300
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesZion[] ACE_TIME_PROGMEM = {
  // Rule    Zion    1998    only    -    Sep     6    0:00    0    S
  {
    -2 /*fromYearTiny*/,
    -2 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    1999    only    -    Apr     2    2:00    1:00    D
  {
    -1 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    1999    only    -    Sep     3    2:00    0    S
  {
    -1 /*fromYearTiny*/,
    -1 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2000    only    -    Apr    14    2:00    1:00    D
  {
    0 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2000    only    -    Oct     6    1:00    0    S
  {
    0 /*fromYearTiny*/,
    0 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2001    only    -    Apr     9    1:00    1:00    D
  {
    1 /*fromYearTiny*/,
    1 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2001    only    -    Sep    24    1:00    0    S
  {
    1 /*fromYearTiny*/,
    1 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    24 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2002    only    -    Mar    29    1:00    1:00    D
  {
    2 /*fromYearTiny*/,
    2 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    29 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2002    only    -    Oct     7    1:00    0    S
  {
    2 /*fromYearTiny*/,
    2 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2003    only    -    Mar    28    1:00    1:00    D
  {
    3 /*fromYearTiny*/,
    3 /*toYearTiny*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2003    only    -    Oct     3    1:00    0    S
  {
    3 /*fromYearTiny*/,
    3 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2004    only    -    Apr     7    1:00    1:00    D
  {
    4 /*fromYearTiny*/,
    4 /*toYearTiny*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2004    only    -    Sep    22    1:00    0    S
  {
    4 /*fromYearTiny*/,
    4 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2005    2012    -    Apr    Fri<=1    2:00    1:00    D
  {
    5 /*fromYearTiny*/,
    12 /*toYearTiny*/,
    4 /*inMonth*/,
    5 /*onDayOfWeek*/,
    -1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2005    only    -    Oct     9    2:00    0    S
  {
    5 /*fromYearTiny*/,
    5 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2006    only    -    Oct     1    2:00    0    S
  {
    6 /*fromYearTiny*/,
    6 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2007    only    -    Sep    16    2:00    0    S
  {
    7 /*fromYearTiny*/,
    7 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2008    only    -    Oct     5    2:00    0    S
  {
    8 /*fromYearTiny*/,
    8 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2009    only    -    Sep    27    2:00    0    S
  {
    9 /*fromYearTiny*/,
    9 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2010    only    -    Sep    12    2:00    0    S
  {
    10 /*fromYearTiny*/,
    10 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2011    only    -    Oct     2    2:00    0    S
  {
    11 /*fromYearTiny*/,
    11 /*toYearTiny*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2012    only    -    Sep    23    2:00    0    S
  {
    12 /*fromYearTiny*/,
    12 /*toYearTiny*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2013    max    -    Mar    Fri>=23    2:00    1:00    D
  {
    13 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2013    max    -    Oct    lastSun    2:00    0    S
  {
    13 /*fromYearTiny*/,
    126 /*toYearTiny*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kPolicyZion ACE_TIME_PROGMEM = {
  kZoneRulesZion /*rules*/,
  nullptr /*letters*/,
  24 /*numRules*/,
  0 /*numLetters*/,
};



}
}
